package com.muyu.goods.service;

import com.muyu.goods.domain.Admin;

import java.util.List;

/**
 * 测试信息Service接口
 *
 * @author muyu
 * @date 2024-04-21
 */
public interface IAdminService
{
    /**
     * 查询测试信息
     *
     * @param id 测试信息主键
     * @return 测试信息
     */
    public Admin selectAdminById(Long id);

    /**
     * 查询测试信息列表
     *
     * @param admin 测试信息
     * @return 测试信息集合
     */
    public List<Admin> selectAdminList(Admin admin);

    /**
     * 新增测试信息
     *
     * @param admin 测试信息
     * @return 结果
     */
    public int insertAdmin(Admin admin);

    /**
     * 修改测试信息
     *
     * @param admin 测试信息
     * @return 结果
     */
    public int updateAdmin(Admin admin);

    /**
     * 批量删除测试信息
     *
     * @param ids 需要删除的测试信息主键集合
     * @return 结果
     */
    public int deleteAdminByIds(Long[] ids);

    /**
     * 删除测试信息信息
     *
     * @param id 测试信息主键
     * @return 结果
     */
    public int deleteAdminById(Long id);
}
