package com.muyu.goods.service.impl;

import com.muyu.goods.domain.Admin;
import com.muyu.goods.mapper.AdminMapper;
import com.muyu.goods.service.IAdminService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 测试信息Service业务层处理
 *
 * @author muyu
 * @date 2024-04-21
 */
@Service
public class AdminServiceImpl implements IAdminService
{
    @Autowired
    private AdminMapper adminMapper;

    /**
     * 查询测试信息
     *
     * @param id 测试信息主键
     * @return 测试信息
     */
    @Override
    public Admin selectAdminById(Long id)
    {
        return adminMapper.selectAdminById(id);
    }

    /**
     * 查询测试信息列表
     *
     * @param admin 测试信息
     * @return 测试信息
     */
    @Override
    public List<Admin> selectAdminList(Admin admin)
    {
        return adminMapper.selectAdminList(admin);
    }

    /**
     * 新增测试信息
     *
     * @param admin 测试信息
     * @return 结果
     */
    @Override
    public int insertAdmin(Admin admin)
    {
        return adminMapper.insertAdmin(admin);
    }

    /**
     * 修改测试信息
     *
     * @param admin 测试信息
     * @return 结果
     */
    @Override
    public int updateAdmin(Admin admin)
    {
        return adminMapper.updateAdmin(admin);
    }

    /**
     * 批量删除测试信息
     *
     * @param ids 需要删除的测试信息主键
     * @return 结果
     */
    @Override
    public int deleteAdminByIds(Long[] ids)
    {
        return adminMapper.deleteAdminByIds(ids);
    }

    /**
     * 删除测试信息信息
     *
     * @param id 测试信息主键
     * @return 结果
     */
    @Override
    public int deleteAdminById(Long id)
    {
        return adminMapper.deleteAdminById(id);
    }
}
