package com.muyu.system.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.system.domain.SysUser;
import com.muyu.system.domain.TableName;
import com.muyu.system.domain.vo.DeptVO;
import com.muyu.system.domain.vo.SysUserVo;
import com.muyu.system.domain.vo.TableVo;
import com.muyu.system.service.AccreditService;
import com.muyu.system.service.SysDeptService;
import com.muyu.system.service.SysUserService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.sql.SQLException;
import java.util.List;

@RestController
@RequestMapping("accredit")
@Log4j2
public class AccreditController extends BaseController {
    @Autowired
    private AccreditService service;
    //部门信息
    @Autowired
    private SysDeptService deptService;
    @Autowired
    private SysUserService userService;

    /**
     * 获取表名
     * @return
     */
    @PostMapping("tableNameList")
    public Result<List<TableName>> tableNameList(){
        List<TableName> list = service.tableNameList();
        return Result.success(list);
    }

    /**
     * 获取表名
     * @return
     */
    @GetMapping("tableNameList2")
    public Result<List<String>> tableNameList2(){
        List<String> list = service.tableNameList2();
        return Result.success(list);
    }

    @GetMapping("listSqlJdbc")
    public Result listSqlJdbc() throws SQLException {
        return service.listSqlJdbc();
    }

    /**
     * 获取表详情
     * @param tableName
     * @return
     */
    @PostMapping("selectTableXml/{tableName}")
    public Result<List<TableVo>> selectTableXml(@PathVariable String tableName){
        List<TableVo> list = service.selectTableXml(tableName);
        return Result.success(list);
    }

    /**
     * 查询部门
     * @return
     */
    @GetMapping("/listDeptVo")
    public Result list () {
        List<DeptVO> depts = deptService.selectDeptListVo();
        return success(depts);
    }

    /**
     * 查询用户
     * @return
     */
    @GetMapping("/listSelectSysUser")
    public Result<List<SysUserVo>> listSelectSysUser(){
        List<SysUserVo> list = userService.listSelectSysUser();
        return success(list);
    }

}
