package com.muyu.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 数据接入对象 data_access
 *
 * @author muyu
 * @date 2024-04-21
 */
public class DataAccess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 接入源名称 */
    @Excel(name = "接入源名称")
    private String name;

    /** 数据来源系统名称 */
    @Excel(name = "数据来源系统名称")
    private String systemName;

    /** 数据接入类型 */
    @Excel(name = "数据接入类型")
    private String type;

    /** 主机地址 */
    @Excel(name = "主机地址")
    private String host;

    /** 端口号 */
    @Excel(name = "端口号")
    private String port;

    /** 数据库名称 */
    @Excel(name = "数据库名称")
    private String databaseName;

    /** 数据连接参数 */
    @Excel(name = "数据连接参数")
    private String connectionParam;

    /** 初始连接数量 */
    @Excel(name = "初始连接数量")
    private Integer initNum;

    /** 最大连接数量 */
    @Excel(name = "最大连接数量")
    private Integer maxNum;

    /** 最大等待时间 */
    @Excel(name = "最大等待时间")
    private Integer maxWaitTime;

    /** 最大等待次数 */
    @Excel(name = "最大等待次数")
    private Integer maxWaitSize;

    /** 介绍 */
    @Excel(name = "介绍")
    private String intor;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setSystemName(String systemName)
    {
        this.systemName = systemName;
    }

    public String getSystemName()
    {
        return systemName;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setHost(String host)
    {
        this.host = host;
    }

    public String getHost()
    {
        return host;
    }
    public void setPort(String port)
    {
        this.port = port;
    }

    public String getPort()
    {
        return port;
    }
    public void setDatabaseName(String databaseName)
    {
        this.databaseName = databaseName;
    }

    public String getDatabaseName()
    {
        return databaseName;
    }
    public void setConnectionParam(String connectionParam)
    {
        this.connectionParam = connectionParam;
    }

    public String getConnectionParam()
    {
        return connectionParam;
    }
    public void setInitNum(Integer initNum)
    {
        this.initNum = initNum;
    }

    public Integer getInitNum()
    {
        return initNum;
    }
    public void setMaxNum(Integer maxNum)
    {
        this.maxNum = maxNum;
    }

    public Integer getMaxNum()
    {
        return maxNum;
    }
    public void setMaxWaitTime(Integer maxWaitTime)
    {
        this.maxWaitTime = maxWaitTime;
    }

    public Integer getMaxWaitTime()
    {
        return maxWaitTime;
    }
    public void setMaxWaitSize(Integer maxWaitSize)
    {
        this.maxWaitSize = maxWaitSize;
    }

    public Integer getMaxWaitSize()
    {
        return maxWaitSize;
    }
    public void setIntor(String intor)
    {
        this.intor = intor;
    }

    public String getIntor()
    {
        return intor;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("systemName", getSystemName())
            .append("type", getType())
            .append("host", getHost())
            .append("port", getPort())
            .append("databaseName", getDatabaseName())
            .append("connectionParam", getConnectionParam())
            .append("initNum", getInitNum())
            .append("maxNum", getMaxNum())
            .append("maxWaitTime", getMaxWaitTime())
            .append("maxWaitSize", getMaxWaitSize())
            .append("intor", getIntor())
            .toString();
    }
}
