package com.muyu.system.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 获取信息对象 data_source
 *
 * @author muyu
 * @date 2024-04-21
 */
public class DataSource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 链接名 */
    @Excel(name = "链接名")
    private String dataSourceName;

    /** 数据库来源系统名称 */
    @Excel(name = "数据库来源系统名称")
    private String dataSourceSystemName;

    /** 数据库类型 */
    @Excel(name = "数据库类型")
    private Long databaseType;

    /** ip地址 */
    @Excel(name = "ip地址")
    private String ip;

    /** 端口号 */
    @Excel(name = "端口号")
    private String port;

    /** 用户名 */
    @Excel(name = "用户名")
    private String username;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 类型 '查询'/'存储' */
    @Excel(name = "类型 '查询'/'存储'")
    private String type;

    /** ','拼接的连接参数 */
    @Excel(name = "','拼接的连接参数")
    private String connectionParameter;

    /** ','拼接的连接配置 */
    @Excel(name = "','拼接的连接配置")
    private String connectionConfig;

    /** 状态 'Y'/'N' */
    @Excel(name = "状态 'Y'/'N'")
    private String status;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDataSourceName(String dataSourceName)
    {
        this.dataSourceName = dataSourceName;
    }

    public String getDataSourceName()
    {
        return dataSourceName;
    }
    public void setDataSourceSystemName(String dataSourceSystemName)
    {
        this.dataSourceSystemName = dataSourceSystemName;
    }

    public String getDataSourceSystemName()
    {
        return dataSourceSystemName;
    }
    public void setDatabaseType(Long databaseType)
    {
        this.databaseType = databaseType;
    }

    public Long getDatabaseType()
    {
        return databaseType;
    }
    public void setIp(String ip)
    {
        this.ip = ip;
    }

    public String getIp()
    {
        return ip;
    }
    public void setPort(String port)
    {
        this.port = port;
    }

    public String getPort()
    {
        return port;
    }
    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getUsername()
    {
        return username;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setConnectionParameter(String connectionParameter)
    {
        this.connectionParameter = connectionParameter;
    }

    public String getConnectionParameter()
    {
        return connectionParameter;
    }
    public void setConnectionConfig(String connectionConfig)
    {
        this.connectionConfig = connectionConfig;
    }

    public String getConnectionConfig()
    {
        return connectionConfig;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataSourceName", getDataSourceName())
            .append("dataSourceSystemName", getDataSourceSystemName())
            .append("databaseType", getDatabaseType())
            .append("ip", getIp())
            .append("port", getPort())
            .append("username", getUsername())
            .append("password", getPassword())
            .append("type", getType())
            .append("connectionParameter", getConnectionParameter())
            .append("connectionConfig", getConnectionConfig())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
