package com.muyu.system.mapper;

import java.util.List;
import com.muyu.system.domain.DataAccess;
import org.apache.ibatis.annotations.Param;

/**
 * 数据接入Mapper接口
 *
 * @author muyu
 * @date 2024-04-21
 */
public interface DataAccessMapper
{
    /**
     * 查询数据接入
     *
     * @param id 数据接入主键
     * @return 数据接入
     */
    public DataAccess selectDataAccessById(Long id);

    /**
     * 查询数据接入列表
     *
     * @param dataAccess 数据接入
     * @return 数据接入集合
     */
    public List<DataAccess> selectDataAccessList(DataAccess dataAccess);

    /**
     * 新增数据接入
     *
     * @param dataAccess 数据接入
     * @return 结果
     */
    public int insertDataAccess(DataAccess dataAccess);

    /**
     * 修改数据接入
     *
     * @param dataAccess 数据接入
     * @return 结果
     */
    public int updateDataAccess(DataAccess dataAccess);

    /**
     * 删除数据接入
     *
     * @param id 数据接入主键
     * @return 结果
     */
    public int deleteDataAccessById(Long id);

    /**
     * 批量删除数据接入
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataAccessByIds(Long[] ids);

    DataAccess oneDataAccess();

    void insertMiddle(@Param("deptId") Long deptId, @Param("id") Long id);
}
