package com.muyu.system.mapper;

import com.muyu.system.domain.DataSource;

import java.util.List;

/**
 * 获取信息Mapper接口
 *
 * @author muyu
 * @date 2024-04-21
 */
public interface DataSourceMapper
{
    /**
     * 查询获取信息
     *
     * @param id 获取信息主键
     * @return 获取信息
     */
    public DataSource selectDataSourceById(Long id);

    /**
     * 查询获取信息列表
     *
     * @param dataSource 获取信息
     * @return 获取信息集合
     */
    public List<DataSource> selectDataSourceList(DataSource dataSource);

    /**
     * 新增获取信息
     *
     * @param dataSource 获取信息
     * @return 结果
     */
    public int insertDataSource(DataSource dataSource);

    /**
     * 修改获取信息
     *
     * @param dataSource 获取信息
     * @return 结果
     */
    public int updateDataSource(DataSource dataSource);

    /**
     * 删除获取信息
     *
     * @param id 获取信息主键
     * @return 结果
     */
    public int deleteDataSourceById(Long id);

    /**
     * 批量删除获取信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataSourceByIds(Long[] ids);
}
